View Issue Details

IDProjectCategoryView StatusLast Update
13652Feature requests[All Projects] Theme editorpublic2019-03-18 18:00
Reporterjgarnett Assigned Todominikvitt  
PrioritynoneSeverityfeature 
Status resolvedResolutionreopened 
Product Version 
Target VersionFixed in Version4.0.0dev 
Summary13652: Revert to inherited button for modified files
Description

A button to revert a modified file (local) back to its original state before any modifications were made (inherited) would be nice to have. This is more useful for keeping themes cleaner and allowing an admin to better manage themes and their state.

This could be implemented with a small button beside the "inherited"/"local" tags, that, when pressed, will prompt the user "Are you sure you would like to revert this local file to its inherited state" "Yes/No"

TagsNo tags attached.

Relationships

has duplicate 13681 closeddominikvitt Revert a local copy to inherited 
related to 14650 new Really throw error when user try to hack server 

Activities

LouisGac

LouisGac

2018-08-07 10:14

manager   ~48664

@dominik: if you want to do this one, is just about deleting the file on the system. then it will move back to "inherit" (so a warning is needed before deleting, use the confirmation modal)

dominikvitt

dominikvitt

2019-03-18 15:36

developer   ~51030

This feature is implemented:
https://github.com/LimeSurvey/LimeSurvey/commit/dd7acc61d99f993d07183974dd8abfb477c496ec

DenisChenu

DenisChenu

2019-03-18 15:42

developer   ~51031

I reopen it : security issue in the commit

DenisChenu

DenisChenu

2019-03-18 15:56

developer   ~51033

OK : security is done after https://github.com/LimeSurvey/LimeSurvey/blob/dd7acc61d99f993d07183974dd8abfb477c496ec/application/controllers/admin/themes.php#L483

(steel need a better error log system ;))

Issue History

Date Modified Username Field Change
2018-05-04 20:21 jgarnett New Issue
2018-05-16 12:19 LouisGac Assigned To => LouisGac
2018-05-16 12:19 LouisGac Status new => assigned
2018-05-16 12:19 LouisGac Sticky Issue No => Yes
2018-08-07 10:14 LouisGac Assigned To LouisGac => dominikvitt
2018-08-07 10:14 LouisGac Note Added: 48664
2018-08-07 10:15 LouisGac Sticky Issue Yes => No
2019-03-18 15:36 dominikvitt Status assigned => resolved
2019-03-18 15:36 dominikvitt Resolution open => fixed
2019-03-18 15:36 dominikvitt Fixed in Version => 4.0.0dev
2019-03-18 15:36 dominikvitt Note Added: 51030
2019-03-18 15:42 DenisChenu Status resolved => feedback
2019-03-18 15:42 DenisChenu Resolution fixed => reopened
2019-03-18 15:42 DenisChenu Note Added: 51031
2019-03-18 15:45 DenisChenu Relationship added related to 14650
2019-03-18 15:56 DenisChenu Status feedback => resolved
2019-03-18 15:56 DenisChenu Note Added: 51033
2019-03-18 18:00 dominikvitt Relationship added has duplicate 13681